from rest_framework import routers

from logstash.api import (IncidentCreatorViewSet,
                          AssetCorrelatorViewSet, AssetManufacturerViewSet, AssetVulnerabilitiesViewSet)

router = routers.SimpleRouter()
router.register("incident", IncidentCreatorViewSet, basename="logstash-incident")
router.register("asset", AssetCorrelatorViewSet, basename="logstash-asset")
router.register("manufacturer", AssetManufacturerViewSet, basename="logstash-manufacturer")
router.register("vulnerabilities", AssetVulnerabilitiesViewSet, basename="logstash-vulnerability")

urlpatterns = []

urlpatterns += router.urls
